import React, { createContext, useState } from "react";
import { IUiContext } from "@interfaces/IUiContext";

// eslint-disable-next-line @typescript-eslint/no-non-null-assertion
export const UiContext = createContext<IUiContext>(undefined!);

interface UiContextProviderProps {
  children: React.ReactNode;
}

export const UiContextProvider: React.FC<UiContextProviderProps> = ({
  children,
}) => {
  const [bodyCanBeScrolled, setBodyCanBeScrolled] = useState(true);
  return (
    <UiContext.Provider
      value={{
        bodyCanBeScrolled,
        setBodyCanBeScrolled,
      }}
    >
      {children}
    </UiContext.Provider>
  );
};
