import { LanguageSelector } from "@components/LanguageSelector";
import type { Story, StoryDefault } from "@ladle/react";

interface LanguageSelectorConfigProps {
  horizontal: boolean;
}

export const LanguageSelectorStory: Story<LanguageSelectorConfigProps> = ({
  horizontal,
}: LanguageSelectorConfigProps) => (
  <div className="fs-p-4 fs-justify-center fs-flex">
    <LanguageSelector
      languages={["EN", "DE"]}
      horizontal={horizontal}
      selectedLanguage="EN"
    />
  </div>
);

export default {
  title: "Molecules",
} satisfies StoryDefault;

LanguageSelectorStory.args = {
  horizontal: false,
};

LanguageSelectorStory.storyName = "Language Selector";
LanguageSelectorStory.meta = {
  descriptionTitle: "Language Selector",
  description:
    "This language selector is typically used inside the Top Bar to allow the user to switch between different language versions of the current content.",
};
